Value

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.e4graph
Class Value

    java.lang.Object
      |
      +--com.e4graph.Value

public final class Value
extends java.lang.Object

Field Summary
`byte[]` | `bytesValue` This field contains a binary value if the type field is BYTES.
`double` | `doubleValue` This field contains a double (64 bit floating point) value if the type field is DOUBLE.
`int` | `integerValue` This field contains an integer value if the type field is INTEGER.
`com.e4graph.Node` | `nodeValue` This field contains a Node value if the type field is NODE.
`java.lang.String` | `stringValue` This field contains a String if the type field is STRING.
`int` | `type` This field contains one of the constants defined in class Vertex denoting the various possible types of vertex values.

Constructor Summary
`Value()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    public int type

  This field contains one of the constants defined in class Vertex denoting the various possible types of vertex values.

### integerValue

    public int integerValue

  This field contains an integer value if the type field is INTEGER.

### doubleValue

    public double doubleValue

  This field contains a double (64 bit floating point) value if the type field is DOUBLE.

### stringValue

    public java.lang.String stringValue

  This field contains a String if the type field is STRING.

### bytesValue

    public byte[] bytesValue

  This field contains a binary value if the type field is BYTES.

### nodeValue

    public com.e4graph.Node nodeValue

  This field contains a Node value if the type field is NODE.

Constructor Detail

### Value

    public Value()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD